Skip to main content
POST
/
storage
/
relationships
Set relationship
curl --request POST \
  --url https://api.getcargo.io/v1/storage/relationships \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "datasetUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "relationships": [
    {
      "fromModelUuid": "<string>",
      "fromColumnSlug": "<string>",
      "fromPropertySlug": "<string>",
      "toModelUuid": "<string>",
      "toColumnSlug": "<string>",
      "toPropertySlug": "<string>",
      "relation": "oneToMany",
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}
'
{
  "relationships": [
    {
      "uuid": "<string>",
      "workspaceUuid": "<string>",
      "fromDatasetUuid": "<string>",
      "fromModelUuid": "<string>",
      "fromColumnSlug": "<string>",
      "fromPropertySlug": "<string>",
      "toDatasetUuid": "<string>",
      "toModelUuid": "<string>",
      "toColumnSlug": "<string>",
      "toPropertySlug": "<string>",
      "relation": "oneToMany"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body schema.

datasetUuid
string<uuid>
required

Dataset identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
relationships
Relationships · object[]
required

Relationships to create or update.

Response

Successful response

relationships
Relationships · object[]
required

Updated relationships.